All iPad 2 / iPhone 4S User Must Update To iOS 5.0.1 Before iOS 5.1 Arrival


by casey on January 18, 2012

Here is to the users. Those of you who have an iPad 2 or iPhone 4S devices and haven’t yet upgraded to iOS 5.0.1, you MUST do it now. The reason is very simple. iOS 5.0.1 will get the untethered jailbreak for iPhone 4S and iPad 2. Second reason is that iOS 5.1 public version is about to arrive.

iOS 5.1 is currently in its third beta and public version is expected soon. Whenever the new firmware version is introduced, Apple stops signing the previous version which simply means you are not allowed to restore a previous firmware version on your iDevice.

To make it more simple, when Apple will release iOS 5.1 public version, after few days you won’t be able to install iOS 5.0.1 on your iPhone, iPad and iPod Touch.

get ready

Why would you need iOS 5.0.1 ? Because you need the jailbreak for it that has been developed by Pod2g along with other developers.

Remember, those of you who are dependent on the unlock must stay on iOS 5.0. This has been confirmed by iPhone Dev Team key member MuscleNerd.

If you are on iOS 5.0.1 or your are going to be on iOS 5.0.1 right after reading this article, another thing you need to do is to save your SHSH blobs by using tools like TinyUmbrella.

We have published this article because a lot of less technical users complain after its too late. So don’t be late and kindly do it as we have told you above.

We cover all jailbreak and unlock news. Proof is our homepage Make sure you follow us.

Follow us on TWITTER or Like Facebook Page to stay connected to read daily news.

We Write Very Rite

Previous post:

Next post: